---
title: WebGLContextEvent
slug: Web/API/WebGLContextEvent
tags:
  - API
  - Interface
  - Reference
  - WebGL
  - WebGLContextEvent
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong>WebContextEvent</strong> interface is part of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> and is an interface for an event that is generated in response to a status change to the WebGL rendering context.</p>

<h2 id="Inheritance">Inheritance</h2>

<p><em>This interface <em>inherits properties and </em>methods from its parent int<em>erface, {{domxref("Event")}}. </em></em></p>

<p>{{InheritanceDiagram}}</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface <em>inherits properties from its parent interface, {{domxref("Event")}}.</em></em></p>

<dl>
 <dt>{{domxref("WebGLContextEvent.statusMessage")}}</dt>
 <dd>A read-only property containing additional information about the event.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface doesn't define any own methods, but inherits methods from its parent interface, {{domxref("Event")}}.</em></p>

<h2 id="Examples">Examples</h2>

<p>With the help of the {{domxref("WEBGL_lose_context")}} extension, you can simulate the {{Event("webglcontextlost")}} and {{Event("webglcontextrestored")}} events:</p>

<pre class="brush: js">var canvas = document.getElementById('canvas');
var gl = canvas.getContext('webgl');

canvas.addEventListener('webglcontextlost', function(e) {
  console.log(e);
}, false);

gl.getExtension('WEBGL_lose_context').loseContext();

// WebGLContextEvent event with type "webglcontextlost" is logged.
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', "#5.15", "WebGLContextEvent")}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLContextEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.isContextLost()")}}</li>
 <li>{{domxref("WEBGL_lose_context")}}, {{domxref("WEBGL_lose_context.loseContext()")}}, {{domxref("WEBGL_lose_context.restoreContext()")}}</li>
 <li>Events: <a href="/en-US/docs/Web/API/HTMLCanvasElement/webglcontextlost_event">webglcontextlost</a>, <a href="/en-US/docs/Web/API/HTMLCanvasElement/webglcontextrestored_event">webglcontextrestored</a>, <a href="/en-US/docs/Web/API/HTMLCanvasElement/webglcontextcreationerror_event">webglcontextcreationerror</a></li>
</ul>
